TopologyMember (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.api.core.client

## Interface TopologyMember

-     public interface TopologyMember

  A member of the topology. Each TopologyMember represents a single server and possibly any backup server that may take over its duties (using the nodeId of the original server).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransportConfiguration` | `getBackup()` Returns the TransportConfiguration relative to the backup server if any.
    `String` | `getBackupGroupName()` Returns the `backup-group-name` of the live server and backup servers associated with Topology entry.
    `TransportConfiguration` | `getLive()`
    `String` | `getNodeId()` Returns the nodeId of the server.
    `String` | `getScaleDownGroupName()` Returns the `scale-down-group-name` of the live server with this Topology entry.
    `long` | `getUniqueEventID()`
    `boolean` | `isMember(RemotingConnection connection)` Returns true if this TopologyMember is the target of this remoting connection
    `boolean` | `isMember(TransportConfiguration configuration)` Returns true if this configuration is the target of this remoting connection

- - ### Method Detail

    - #### getBackupGroupName

          String getBackupGroupName()

      Returns the `backup-group-name` of the live server and backup servers associated with Topology entry.

      This is a server configuration value. A (remote) backup will only work with live servers that have a matching `backup-group-name`.

      This value does not apply to "shared-storage" backup and live pairs.

      Returns:
        the `backup-group-name`

    - #### getScaleDownGroupName

          String getScaleDownGroupName()

      Returns the `scale-down-group-name` of the live server with this Topology entry.

      This is a server configuration value. a live server will only send its messages to another live server with matching `scale-down-group-name`.

      Returns:
        the `scale-down-group-name`

    - #### getLive

          TransportConfiguration getLive()

      Returns:
        configuration relative to the live server

    - #### getBackup

          TransportConfiguration getBackup()

      Returns the TransportConfiguration relative to the backup server if any.
      Returns:
        a `TransportConfiguration` for the backup, or null} if the live server has no backup server.

    - #### getNodeId

          String getNodeId()

      Returns the nodeId of the server.
      Returns:
        the nodeId

    - #### getUniqueEventID

          long getUniqueEventID()

      Returns:
        long value representing a unique event ID

    - #### isMember

          boolean isMember(RemotingConnection connection)

      Returns true if this TopologyMember is the target of this remoting connection
      Parameters:
        `connection` -
      Returns:

    - #### isMember

          boolean isMember(TransportConfiguration configuration)

      Returns true if this configuration is the target of this remoting connection
      Parameters:
        `configuration` -
      Returns:

Copyright © 2015. All rights reserved.